[SCM] vdpau-video/master: Add get-orig-source rule/script to generate orig source tarball.

ceros-guest at users.alioth.debian.org ceros-guest at users.alioth.debian.org
Fri Sep 10 19:18:53 UTC 2010


The following commit has been merged in the master branch:
commit 17e6f94aa6c6782128519319fc607eaccda8fa83
Author: Andres Mejia <mcitadel at gmail.com>
Date:   Fri Sep 10 14:10:17 2010 -0400

    Add get-orig-source rule/script to generate orig source tarball.

diff --git a/debian/rules b/debian/rules
index fc09a54..c447be9 100755
--- a/debian/rules
+++ b/debian/rules
@@ -7,3 +7,6 @@ override_dh_auto_install:
 	dh_testdir
 	dh_auto_install
 	rm $(CURDIR)/debian/vdpau-va-driver/usr/lib/dri/*.la
+
+get-orig-source:
+	$(dir $_)vdpau-video-get-orig-source
diff --git a/debian/vdpau-video-get-orig-source b/debian/vdpau-video-get-orig-source
new file mode 100755
index 0000000..a87f47f
--- /dev/null
+++ b/debian/vdpau-video-get-orig-source
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# This script is used to download the upstream source for vdpau-video and
+# generate it into an orig source tarball for Debian.
+
+# Common variables used to ease maintenance of this script
+VDPAU_VIDEO_VERSION="0.6.10"
+VDPAU_VIDEO_TARBALL="vdpau-video-$VDPAU_VIDEO_VERSION.tar.gz"
+VDPAU_VIDEO_TARBALL_CHECKSUM="236f92067b59a8fd130958d3d78d79e3c1fbdaa9e4220884080d73eaed254b39"
+VDPAU_VIDEO_ORIG_TARBALL="vdpau-video_$VDPAU_VIDEO_VERSION.orig.tar.gz"
+USAGE="\n\
+This script is used to generate the orig tarball used in building\n\
+Debian packages for vdpau-video-$VDPAU_VIDEO_VERSION.\n\
+Usage: vdpau-video-get-orig-source [OPTION]\n\
+\n\
+ -h, --help                 Display this help message.\n"
+
+while [ "$#" -gt "0" ]
+do
+    case "$1" in
+        -h|--help|*)
+            echo "${USAGE}"
+            exit 1
+            ;;
+    esac
+done
+
+make_current_tarball() {
+    # Download the tarball if it's not available in the current directory
+    [ -f $VDPAU_VIDEO_TARBALL ] || \
+        wget -c http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/$VDPAU_VIDEO_TARBALL
+
+    # Verify the checksum
+    COMPUTED_CHECKSUM=`sha256sum $VDPAU_VIDEO_TARBALL | cut -d ' ' -f 1`
+    if [ $VDPAU_VIDEO_TARBALL_CHECKSUM != $COMPUTED_CHECKSUM ] ; then
+        echo "Checksum verification failed. Checksum was $COMPUTED_CHECKSUM
+    Expected checksum $VDPAU_VIDEO_TARBALL_CHECKSUM."
+        exit 1
+    else
+        echo "Checksum verified. Checksum is $COMPUTED_CHECKSUM."
+    fi
+
+    # Extract tarball and run 'autoreconf -vif'
+    echo "Extracting tarball and running 'autoreconf -vif'"
+    tar -zxf $VDPAU_VIDEO_TARBALL
+    cd vdpau-video-$VDPAU_VIDEO_VERSION
+    autoreconf -vif
+    cd ..
+
+    # Remove temp files and other cruft from source tarball
+    # The find command snippet here was taken from debhelper's dh_clean command
+    # with some modification to delete more unneeded files.
+    echo "Removing temp files and other cruft from source tarball"
+    find vdpau-video-$VDPAU_VIDEO_VERSION \( \( -type f -a \
+        \( -name '#*#' -o -name '.*~' -o -name '*~' -o -name DEADJOE \
+        -o -name '*.orig' -o -name '*.rej' -o -name '*.bak' \
+        -o -name '.*.orig' -o -name .*.rej -o -name '.SUMS' \
+        -o -name TAGS -o \( -path '*/.deps/*' -a -name '*.P' \) \
+        -o -name config.status -o -name config.cache -o -name config.log \
+        \) -exec rm -f "{}" \; \) -o \
+        \( -type d -a -name autom4te.cache -prune -exec rm -rf "{}" \; \) \)
+    rm -rf vdpau-video-$VDPAU_VIDEO_VERSION/debian
+
+    # Remove empty directories
+    echo "Removing empty directories"
+    find vdpau-video-$VDPAU_VIDEO_VERSION -type d -empty -delete
+
+    # Repack tarball to final orig tarball
+    echo "Creating orig tarball"
+    tar --exclude-vcs -zcf "$VDPAU_VIDEO_ORIG_TARBALL" "vdpau-video-$VDPAU_VIDEO_VERSION/"
+}
+
+make_current_tarball

-- 
vdpau-video packaging



More information about the pkg-multimedia-commits mailing list